Class
AsyncRequest
Associated with an asynchronous I/O request.
AsyncRequest<TFile>
Include Headers
seqan/file.h
Parameters

TFile | A File type.

Remarks
This structure is used to identify asynchronous requests after their initiation.
Functions

asyncReadAt | Asynchronously loads records from a specific position in a file.
asyncWriteAt | Asynchronously saves records to a specific position in a file.
cancel | Cancels an asynchronous request.
waitFor | Waits for an asynchronous request to complete.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45